#include <bits/stdc++.h>
using namespace std;

int main()
{
    ios_base::sync_with_stdio(0); cin.tie(0); cout.tie(0);

    int n,k;
    cin >> n >> k;
    string s;
    cin >> s;
    map<char,int> c;
    string x = "abcdefghijklmnopqrstuvwxyz";
    cout << 1;
    c[s[i]]++;
    for(int i = 1;i < n;i++){
        c[s[i]]++;
        cout << 2 << ' ';
    }

    return 0;
}